<nb-card class="list-card" size="large">
  <nb-card-header>Data Binding</nb-card-header>
  <nb-card-body>
    <h3>Two Way Data Binding</h3>
    <div class="row">
      <div class="input-group col-4">
        <label>Nombre: </label>
        <input type="text" nbInput [(ngModel)]="user.name" fullWidth placeholder="Nombre">
        <label>Apellidos: </label>
        <input type="text" nbInput [(ngModel)]="user.surname" fullWidth placeholder="Apellidos">
      </div>
    </div>
    <h3>String Interpolation</h3>
    <div class="row">
      <div class="input-group col-4">
        <label fullWidth><strong>Nombre:</strong> {{user.name}} </label>
      </div>
    </div>
    <div class="row">
      <div class="input-group col-4">
        <label fullWidth><strong>Apellidos:</strong> {{user.surname}} </label>
      </div>
    </div>
    <h3>Event Binding</h3>
    <div class="row">
      <div class="input-group col-4">
        <button nbButton status="warning" size="small" (click)="showUser()">
          Mostrar Usuario
        </button>
        <button nbButton size="small" (click)="resetUsername()">
          Reset form
        </button>
      </div>
    </div>
  </nb-card-body>
</nb-card>
